Member 40 endpoints

GET /members/{idMember}/boardsInvited
operationId: Member_getInvitedBoards

Parameters

Name In Required Type Description
idMember path required string

idMember or username

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardsInvited
GET /members/{idMember}/boardsInvited/{field}
operationId: Member_getBoardsInvitedByIdMemberByField

Parameters

Name In Required Type Description
idMember path required string

idMember or username

field path required string

field

Responses

200

Success

400

Server rejection

GET /members/{idMember}/boardsInvited/{field}
GET /members/{idMember}/cards
operationId: Member_getCardsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

attachments query optional string

A boolean value or "cover" for only card cover attachments

attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

stickers query optional string

true or false

members query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

checkItemStates query optional string

true or false

checklists query optional string

One of: all or none

limit query optional string

a number from 1 to 1000

since query optional string

A date, or null

before query optional string

A date, or null

filter query optional string

One of: all, closed, none, open or visible

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /members/{idMember}/cards
GET /members/{idMember}/cards/{filter}
operationId: Member_getCardsByFilter

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /members/{idMember}/cards/{filter}
GET /members/{idMember}/customBoardBackgrounds
operationId: Member_getCustomBoardBackgroundsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all or none

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customBoardBackgrounds
POST /members/{idMember}/customBoardBackgrounds
operationId: Member_addCustomBoardBackgrounds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Custom Board Backgrounds” to be added.

application/json
schema members_customBoardBackgrounds
Property Type Required
file string optional
tile string optional
brightness string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/customBoardBackgrounds
DELETE /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
operationId: Member_removeCustomBoardBackgroundById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

Responses

200

Success

400

Server rejection

DELETE /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
GET /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
operationId: Member_getCustomBoardBackgroundByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

fields query optional string

all or a comma-separated list of: brightness, fullSizeUrl, scaled or tile

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
PUT /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
operationId: Member_updateCustomBoardBackgrounds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idBoardBackground path required string

idBoardBackground

Request Body

required

Attributes of “Members Custom Board Backgrounds” to be updated.

application/json
schema members_customBoardBackgrounds
Property Type Required
file string optional
tile string optional
brightness string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/customBoardBackgrounds/{idBoardBackground}
GET /members/{idMember}/customEmoji

This gets the list of all of the user’s uploaded emoji

operationId: Member_listCustomEmojiByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all or none

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customEmoji
POST /members/{idMember}/customEmoji
operationId: Member_addCustomEmojiByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Custom Emoji” to be added.

application/json
schema members_customEmoji
Property Type Required
file string optional
name string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/customEmoji
GET /members/{idMember}/customEmoji/{idCustomEmoji}
operationId: Member_getCustomEmojiByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idCustomEmoji path required string

idCustomEmoji

fields query optional string

all or a comma-separated list of: name or url

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customEmoji/{idCustomEmoji}
GET /members/{idMember}/customStickers

This gets a list of all of the user’s uploaded stickers

operationId: Member_getCustomStickersByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all or none

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customStickers
POST /members/{idMember}/customStickers
operationId: Member_addCustomStickers

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Custom Stickers” to be added.

application/json
schema members_customStickers
Property Type Required
file string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/customStickers
DELETE /members/{idMember}/customStickers/{idCustomSticker}
operationId: Member_removeCustomStickerByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idCustomSticker path required string

idCustomSticker

Responses

200

Success

400

Server rejection

DELETE /members/{idMember}/customStickers/{idCustomSticker}
GET /members/{idMember}/customStickers/{idCustomSticker}
operationId: Member_getCustomStickerByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idCustomSticker path required string

idCustomSticker

fields query optional string

all or a comma-separated list of: scaled or url

Responses

200

Success

400

Server rejection

GET /members/{idMember}/customStickers/{idCustomSticker}
GET /members/{idMember}/deltas
operationId: Member_getDeltasByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

tags query required string

A valid tag for subscribing

ixLastUpdate query required string

a number from -1 to Infinity

Responses

200

Success

400

Server rejection

GET /members/{idMember}/deltas
PUT /members/{idMember}/fullName
operationId: Member_updateFullName

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Full Name” to be updated.

application/json
schema members_fullName
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/fullName
PUT /members/{idMember}/initials
operationId: Member_updateInitialsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Initials” to be updated.

application/json
schema members_initials
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/initials
GET /members/{idMember}/notifications

You can only read the notifications for the member associated with the supplied token

operationId: Member_getNotificationsByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

entities query optional string

true or false

display query optional string

true or false

filter query optional string

all or a comma-separated list of: addAdminToBoard, addAdminToOrganization, addedAttachmentToCard, addedMemberToCard, addedToBoard, addedToCard, addedToOrganization, cardDueSoon, changeCard, closeBoard, commentCard, createdCard, declinedInvitationToBoard, declinedInvitationToOrganization, invitedToBoard, invitedToOrganization, makeAdminOfBoard, makeAdminOfOrganization, memberJoinedTrello, mentionedOnCard, removedFromBoard, removedFromCard, removedFromOrganization, removedMemberFromCard, unconfirmedInvitedToBoard, unconfirmedInvitedToOrganization or updateCheckItemStateOnCard

read_filter query optional string

One of: all, read or unread

fields query optional string

all or a comma-separated list of: data, date, idMemberCreator, type or unread

limit query optional string

a number from 1 to 1000

page query optional string

a number from 0 to 100

before query optional string

An id, or null

since query optional string

An id, or null

memberCreator query optional string

true or false

memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /members/{idMember}/notifications
GET /members/{idMember}/notifications/{filter}
operationId: Member_getNotificationsByIdMemberByFilter

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /members/{idMember}/notifications/{filter}
POST /members/{idMember}/oneTimeMessagesDismissed
operationId: Member_addOneTimeMessagesDismissedByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members One Time Messages Dismissed” to be added.

application/json
schema members_oneTimeMessagesDismissed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/oneTimeMessagesDismissed
GET /members/{idMember}/organizations
operationId: Member_listOrganizationsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all, members, none or public

fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

paid_account query optional string

true or false

Responses

200

Success

400

Server rejection

GET /members/{idMember}/organizations
GET /members/{idMember}/organizations/{filter}
operationId: Member_getOrganizations

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /members/{idMember}/organizations/{filter}
GET /members/{idMember}/organizationsInvited
operationId: Member_listInvitedOrganizationsById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

Responses

200

Success

400

Server rejection

GET /members/{idMember}/organizationsInvited
GET /members/{idMember}/organizationsInvited/{field}
operationId: Member_listOrganizationsInvitedByIdMemberByField

Parameters

Name In Required Type Description
idMember path required string

idMember or username

field path required string

field

Responses

200

Success

400

Server rejection

GET /members/{idMember}/organizationsInvited/{field}
PUT /members/{idMember}/prefs/colorBlind
operationId: Member_updatePrefsColorBlindByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Prefs Color Blind” to be updated.

application/json
schema prefs_colorBlind
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/prefs/colorBlind
PUT /members/{idMember}/prefs/locale
operationId: Member_updatePrefsLocaleByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Prefs Locale” to be updated.

application/json
schema prefs_locale
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/prefs/locale
PUT /members/{idMember}/prefs/minutesBetweenSummaries
operationId: Member_updatePrefsMinutesBetweenSummariesById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Prefs Minutes Between Summaries” to be updated.

application/json
schema prefs_minutesBetweenSummaries
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/prefs/minutesBetweenSummaries
GET /members/{idMember}/savedSearches
operationId: Member_getSavedSearchesByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Responses

200

Success

400

Server rejection

GET /members/{idMember}/savedSearches
POST /members/{idMember}/savedSearches
operationId: Member_createSavedSearch

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Saved Searches” to be added.

application/json
schema members_savedSearches
Property Type Required
pos string optional
name string optional
query string optional

Responses

200

Success

400

Server rejection

POST /members/{idMember}/savedSearches
DELETE /members/{idMember}/savedSearches/{idSavedSearch}
operationId: Member_removeSavedSearchByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Responses

200

Success

400

Server rejection

DELETE /members/{idMember}/savedSearches/{idSavedSearch}
GET /members/{idMember}/savedSearches/{idSavedSearch}
operationId: Member_getSavedSearchByIds

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Responses

200

Success

400

Server rejection

GET /members/{idMember}/savedSearches/{idSavedSearch}
PUT /members/{idMember}/savedSearches/{idSavedSearch}
operationId: Member_updateSavedSearchesByIdMemberByIdSavedSearch

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Request Body

required

Attributes of “Members Saved Searches” to be updated.

application/json
schema members_savedSearches
Property Type Required
pos string optional
name string optional
query string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/savedSearches/{idSavedSearch}
PUT /members/{idMember}/savedSearches/{idSavedSearch}/name
operationId: Member_updateSavedSearchesNameByIdMemberByIdSavedSearch

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Request Body

required

Attributes of “Members Saved Searches Name” to be updated.

application/json
schema members_savedSearches_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/savedSearches/{idSavedSearch}/name
PUT /members/{idMember}/savedSearches/{idSavedSearch}/pos
operationId: Member_updateSavedSearchesPosByIdMemberByIdSavedSearch

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Request Body

required

Attributes of “Members Saved Searches Pos” to be updated.

application/json
schema members_savedSearches_pos
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/savedSearches/{idSavedSearch}/pos
PUT /members/{idMember}/savedSearches/{idSavedSearch}/query
operationId: Member_updateSavedSearchQueryByIdMemberByIdSavedSearch

Parameters

Name In Required Type Description
idMember path required string

idMember or username

idSavedSearch path required string

idSavedSearch

Request Body

required

Attributes of “Members Saved Searches Query” to be updated.

application/json
schema members_savedSearches_query
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/savedSearches/{idSavedSearch}/query
GET /members/{idMember}/tokens
operationId: Member_getTokensByIdMember

Parameters

Name In Required Type Description
idMember path required string

idMember or username

filter query optional string

One of: all or none

Responses

200

Success

400

Server rejection

GET /members/{idMember}/tokens
PUT /members/{idMember}/username
operationId: Member_updateUsernameById

Parameters

Name In Required Type Description
idMember path required string

idMember or username

Request Body

required

Attributes of “Members Username” to be updated.

application/json
schema members_username
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /members/{idMember}/username
GET /members/{idMember}/{field}
operationId: Member_getByField

Parameters

Name In Required Type Description
idMember path required string

idMember or username

field path required string

field

Responses

200

Success

400

Server rejection

GET /members/{idMember}/{field}

Notification 10 endpoints

POST /notifications/all/read
operationId: Notification_markAllAsRead

Responses

200

Success

400

Server rejection

POST /notifications/all/read
GET /notifications/{idNotification}
operationId: Notification_getById

Parameters

Name In Required Type Description
idNotification path required string

idNotification

display query optional string

true or false

entities query optional string

true or false

fields query optional string

all or a comma-separated list of: data, date, idMemberCreator, type or unread

memberCreator query optional string

true or false

memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

board query optional string

true or false

board_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

list query optional string

true or false

card query optional string

true or false

card_fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

organization query optional string

true or false

organization_fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}
PUT /notifications/{idNotification}
operationId: Notification_updateByIdNotification

Parameters

Name In Required Type Description
idNotification path required string

idNotification

Request Body

required

Attributes of “Notifications” to be updated.

application/json
schema notifications
Property Type Required
unread string optional

Responses

200

Success

400

Server rejection

PUT /notifications/{idNotification}
GET /notifications/{idNotification}/board
operationId: Notification_getBoardById

Parameters

Name In Required Type Description
idNotification path required string

idNotification

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/board
GET /notifications/{idNotification}/board/{field}
operationId: Notification_getBoardByField

Parameters

Name In Required Type Description
idNotification path required string

idNotification

field path required string

field

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/board/{field}
GET /notifications/{idNotification}/card
operationId: Notification_getCardById

Parameters

Name In Required Type Description
idNotification path required string

idNotification

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/card
GET /notifications/{idNotification}/card/{field}
operationId: Notification_getCardByIdNotificationByField

Parameters

Name In Required Type Description
idNotification path required string

idNotification

field path required string

field

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/card/{field}
GET /notifications/{idNotification}/display
operationId: Notification_getDisplayByIdNotification

Parameters

Name In Required Type Description
idNotification path required string

idNotification

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/display
GET /notifications/{idNotification}/entities
operationId: Notification_getEntitiesByIdNotification

Parameters

Name In Required Type Description
idNotification path required string

idNotification

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/entities
GET /notifications/{idNotification}/list
operationId: Notification_getListByIdNotification

Parameters

Name In Required Type Description
idNotification path required string

idNotification

fields query optional string

all or a comma-separated list of: closed, idBoard, name, pos or subscribed

Responses

200

Success

400

Server rejection

GET /notifications/{idNotification}/list
Load more endpoints